
import TeamPursuit.*;

public class TeamPursuitSimulation2 {
	
	// Default Strategies for the Mens Team Pursuit
	static final boolean [] DEFAULT_MENS_TRANSITION_STRATEGY = {true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false};
	static final int [] DEFAULT_MENS_PACING_STRATEGY = {550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550, 550};
	
	// Default Strategies for the Mens Team Pursuit
	static final boolean [] DEFAULT_WOMENS_TRANSITION_STRATEGY = {true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false, true, false};
	static final int [] DEFAULT_WOMENS_PACING_STRATEGY = {400, 350, 350, 300, 300, 350, 350, 350, 350, 300, 300, 350, 350, 350, 350, 300, 300, 350, 350, 350, 350, 300, 300};

	public static void main(String[] args) {
		
		// Variable to store simulation results
		SimulationResult result = null;
		
		// Create a MensTeamPursuit object
		WomensTeamPursuit womensTeamPursuit = new WomensTeamPursuit();
		
		try {
			
			womensTeamPursuit.setHeight(0, 1.65);
			womensTeamPursuit.setWeight(0, 70.0);
			womensTeamPursuit.setMeanMaximumPower(0, 5.5);
			
			womensTeamPursuit.setHeight(2, 1.55);
			womensTeamPursuit.setWeight(2, 60.0);
			womensTeamPursuit.setMeanMaximumPower(2, 4.5);
			
			
			// Simulate event with the default strategies
			result = womensTeamPursuit.simulate(DEFAULT_WOMENS_TRANSITION_STRATEGY, DEFAULT_WOMENS_PACING_STRATEGY);
		} catch (Exception e) {
			e.printStackTrace();
		}
				
		// Print out simulation results
		System.out.println(result.toString());
		
		// Create a MensTeamPursuit object
		MensTeamPursuit mensTeamPursuit = new MensTeamPursuit();
		
		// Simulate event with the default strategies
		try {
			
			mensTeamPursuit.setHeight(0, 1.80);
			mensTeamPursuit.setWeight(0, 80.0);
			mensTeamPursuit.setMeanMaximumPower(0, 6.5);
			
			mensTeamPursuit.setHeight(2, 1.70);
			mensTeamPursuit.setWeight(2, 70.0);
			mensTeamPursuit.setMeanMaximumPower(2, 5.5);
			
			mensTeamPursuit.setHeight(3, 1.80);
			mensTeamPursuit.setWeight(3, 80.0);
			mensTeamPursuit.setMeanMaximumPower(3, 5.5);
			
			result = mensTeamPursuit.simulate(DEFAULT_MENS_TRANSITION_STRATEGY, DEFAULT_MENS_PACING_STRATEGY);
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		// Print out simulation results
		System.out.println(result.toString());
	}

}
